> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the policy version by version tag

> Get the policy version by version tag



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/governance/v1/policy-versions/{id}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/governance/v1/policy-versions/{id}:
    get:
      tags:
        - Governance policies
      summary: Get the policy version by version tag
      description: Get the policy version by version tag
      parameters:
        - description: ID of the policy version to retrieve
          name: id
          in: path
          required: true
          schema:
            type: string
        - description: >-
            Hydrate the response with taxonomy property values (default true);
            set false to skip
          name: hydrateTaxonomy
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Policy version
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/rai-guardrails-service_guardrails.PolicyVersion
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
components:
  schemas:
    rai-guardrails-service_guardrails.PolicyVersion:
      type: object
      properties:
        allowProjectApprovers:
          type: boolean
        classificationArtifactMap:
          type: object
          additionalProperties:
            type: string
        classificationRule:
          type: string
        createdAt:
          type: string
        createdBy:
          type: object
        enforceSequentialOrder:
          type: boolean
        gates:
          type: array
          items:
            $ref: '#/components/schemas/rai-guardrails-service_guardrails.PolicyGate'
        id:
          type: string
        mandatoryBundleIds:
          items:
            type: string
          type: array
        notes:
          type: string
        policyId:
          type: string
        simpleClassificationQuestionId:
          type: string
        stages:
          type: array
          items:
            $ref: '#/components/schemas/rai-guardrails-service_guardrails.Stage'
        status:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.PolicyStatus'
        taxonomyProperties:
          description: populated by TaxonomyService
          type: array
          items:
            $ref: >-
              #/components/schemas/rai-guardrails-service_guardrails.TaxonomyPropertyValue
        updatedAt:
          type: string
        updatedBy:
          type: object
        upgradeStrategy:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.UpgradeStrategy
        version:
          type: string
    rai-guardrails-service_server.HTTPError:
      type: object
      properties:
        code:
          description: >-
            Code is a stable machine-readable error identifier; absent on most
            errors.
          allOf:
            - $ref: '#/components/schemas/rai-guardrails-service_guardrails.ErrorCode'
        message:
          type: string
    rai-guardrails-service_guardrails.PolicyGate:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        policyId:
          type: string
        policyVersionId:
          type: string
        resources:
          type: array
          items:
            $ref: >-
              #/components/schemas/rai-guardrails-service_guardrails.RuleDefinition
    rai-guardrails-service_guardrails.Stage:
      type: object
      properties:
        approvals:
          type: array
          items:
            $ref: >-
              #/components/schemas/rai-guardrails-service_guardrails.StageApproval
        evidenceSet:
          type: array
          items:
            $ref: '#/components/schemas/rai-guardrails-service_guardrails.Evidence'
        id:
          type: string
        name:
          type: string
        notifyOnTransition:
          type: boolean
        policyEntityId:
          type: string
        policyVersionId:
          type: string
    rai-guardrails-service_guardrails.PolicyStatus:
      type: string
      enum:
        - Draft
        - Published
        - Archived
      x-enum-varnames:
        - PolicyDraft
        - PolicyPublished
        - PolicyArchived
    rai-guardrails-service_guardrails.TaxonomyPropertyValue:
      type: object
      properties:
        description:
          type: string
        groupName:
          type: string
        propertyId:
          type: string
        propertyLabel:
          type: string
        type:
          type: string
        value:
          type: string
        values:
          items:
            type: string
          type: array
    rai-guardrails-service_guardrails.UpgradeStrategy:
      type: object
      required:
        - approvals
      properties:
        approvals:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.ApprovalsStrategy
    rai-guardrails-service_guardrails.ErrorCode:
      type: string
      enum:
        - BUNDLE_REQUIRES_POLICY
      x-enum-varnames:
        - CodeBundleRequiresPolicy
    rai-guardrails-service_guardrails.RuleDefinition:
      type: object
      required:
        - action
      properties:
        action:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.RuleAction'
        failOpen:
          type: boolean
        parameters:
          type: object
    rai-guardrails-service_guardrails.StageApproval:
      type: object
      properties:
        approvers:
          type: array
          items:
            $ref: '#/components/schemas/rai-guardrails-service_guardrails.Approver'
        evidence:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.Evidence'
        id:
          type: string
        name:
          type: string
        policyEntityId:
          type: string
        revalidationConfig:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.RevalidationConfig
    rai-guardrails-service_guardrails.Evidence:
      type: object
      properties:
        artifacts:
          type: array
          items:
            $ref: >-
              #/components/schemas/rai-guardrails-service_guardrails.EvidenceArtifact
        createdAt:
          type: string
        description:
          type: string
        externalId:
          type: string
        id:
          type: string
        name:
          type: string
        policyId:
          type: string
        policyVersionId:
          type: string
        scope:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.EvidenceScope'
        visible:
          description: >-
            allows true, false or nil values (if nil, FE can decide to show
            everything)
          type: boolean
    rai-guardrails-service_guardrails.ApprovalsStrategy:
      type: object
      required:
        - strategy
      properties:
        strategy:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.ApprovalStrategy
    rai-guardrails-service_guardrails.RuleAction:
      type: string
      enum:
        - Deploy
        - CreateApp
        - CreateEndpoint
      x-enum-varnames:
        - Deploy
        - CreateApp
        - CreateEndpoint
    rai-guardrails-service_guardrails.Approver:
      type: object
      required:
        - editable
        - id
        - name
        - showByDefault
      properties:
        editable:
          type: boolean
        fromOrganizationUserId:
          type: string
        id:
          type: string
        isOrganizationUser:
          type: boolean
        name:
          type: string
        showByDefault:
          type: boolean
    rai-guardrails-service_guardrails.RevalidationConfig:
      type: object
      required:
        - openWindowDaysBefore
        - recurring
        - type
      properties:
        openWindowDaysBefore:
          type: integer
          minimum: 1
        recurring:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.Recurring'
        type:
          enum:
            - absolute
            - relative
          allOf:
            - $ref: >-
                #/components/schemas/rai-guardrails-service_guardrails.RevalidationType
    rai-guardrails-service_guardrails.EvidenceArtifact:
      type: object
      properties:
        artifactType:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.ArtifactType'
        details:
          type: object
        id:
          type: string
        policyEntityId:
          type: string
        required:
          type: boolean
        visibilityRule:
          type: string
        visible:
          type: boolean
    rai-guardrails-service_guardrails.EvidenceScope:
      type: string
      enum:
        - Global
        - Local
      x-enum-varnames:
        - Global
        - Local
    rai-guardrails-service_guardrails.ApprovalStrategy:
      type: string
      enum:
        - retain
        - reset
        - resetCurrent
      x-enum-varnames:
        - ApprovalStrategyRetain
        - ApprovalStrategyReset
        - ApprovalStrategyResetCurrent
    rai-guardrails-service_guardrails.Recurring:
      type: object
      required:
        - every
        - unit
      properties:
        every:
          type: integer
          minimum: 1
        startDate:
          type: string
        unit:
          enum:
            - month
            - year
          allOf:
            - $ref: >-
                #/components/schemas/rai-guardrails-service_guardrails.RevalidationUnit
    rai-guardrails-service_guardrails.RevalidationType:
      type: string
      enum:
        - absolute
        - relative
      x-enum-varnames:
        - RevalidationTypeAbsolute
        - RevalidationTypeRelative
    rai-guardrails-service_guardrails.ArtifactType:
      type: string
      enum:
        - input
        - guidance
        - policyScriptedCheck
        - metadata
      x-enum-varnames:
        - Input
        - Guidance
        - AutomatedJob
        - Metadata
    rai-guardrails-service_guardrails.RevalidationUnit:
      type: string
      enum:
        - month
        - year
      x-enum-varnames:
        - RevalidationUnitMonth
        - RevalidationUnitYear

````

## Related topics

- [Define policies](/cloud/platform-capabilities/features/governance/define-governance-policies/index.md)
- [Get the policy version definition by version tag](/api-reference/governance-policies/get-the-policy-version-definition-by-version-tag.md)
- [Get entities by tag](/api-reference/tags/get-entities-by-tag.md)
- [Replace a policy version in a bundle](/api-reference/governance-bundles/replace-a-policy-version-in-a-bundle.md)
